package com.ssj.service.weixin.library.service;

import com.ssj.bean.weixin.libmy.domain.LibReadVip;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @author Admin
 * @className IReadVipService
 * @description 阅读会员service
 * @date 2020/4/17
 */
public interface IReadVipService extends BaseService<LibReadVip,String> {

    List<LibReadVip> findByUserIdAndSpeciseService(String userId, String s001, String libId);

    List<Map<String, Object>> getServiceVip(String userId, String s001);

    void vipEnCodeAll() throws Exception;

    LibReadVip findByUserId(String userId);

    LibReadVip findByUserIdAndChildName(String id, String childName);
}
